#include <windows.h>
#include <stdio.h>
#include <io.h>

int main()
{
	int err;
	FILE* stream;
	HANDLE hFile;
	BY_HANDLE_FILE_INFORMATION fiData;

	if (err = freopen_s(&stream, "1.txt", "a", stdout))
	{
		printf("freopen_s error %d\n", err);
		return 1;
	}

	printf("Sample string\n");
	fflush(stdout);

	hFile = (HANDLE)_get_osfhandle(_fileno(stdout));
	if (hFile == INVALID_HANDLE_VALUE)
	{
		printf("_get_osfhandle error\n");
		return 1;
	}

	if (!GetFileInformationByHandle(hFile, &fiData))
	{
		printf("GetFileInformationByHandle error %d\n", GetLastError());
		return 1;
	}

	printf("attributes = 0x%X, file size = %d\n", fiData.dwFileAttributes, fiData.nFileSizeLow);

	return 0;
}
